# Name

HPL_copyL Copy the current panel into a contiguous workspace.

# Synopsis

`#include "hpl.h"`
`void` `HPL_copyL(` `HPL_T_panel *` `PANEL` `);`

# Description

HPL_copyL copies the panel of columns, the L1 replicated submatrix, the pivot array and the info scalar into a contiguous workspace for later broadcast. The copy of this panel into a contiguous buffer can be enforced by specifying -DHPL_COPY_L in the architecture specific Makefile.

# Arguments

    PANEL   (input/output)                HPL_T_panel *
            On entry,  PANEL  points to the  current panel data structure
            being broadcast.

# See Also

HPL_binit, HPL_bcast, HPL_bwait.